Shall we use Phalcon 1.3 or 2.0 If we kick-off the project in next month?

I heard Phalcon 2 (beta 1) is out for a while.
it's will be good if we adopt 2.0 version to our project.
but Phalcon 2.0 installation on OS X is hurt, I found problem with 'zephir generate'.
(like this http://forum.phalconphp.com/discussion/1683/zephir-method-compilation-error)

That why I think to use Phalcon 1.3 instead.

The question is.... Shall we use Phalcon 1.3 and wait until 2.0 is stable then upgrade after that?
Is the upgrade process between 1.3 to 2.0 will hurt me?



5.1k

Next month? I guess you should set for 1.3.x

I am not sure what the current expectations are about a 2.0 release, perhaps the team could give us an update on that. And I wouldn't go live with the first 2.0 release, but, at least, wait for the first bugfixed release after that (or some weeks till it has 'proven' itself).

The goal for 2.0 is to offer the same functionality as 1.3. I guess that also means you can use the same classes, methods, etc. so I guess you should be able to upgrade without much hassle. But of course you should test your application thoroughly against 2.0 before going online with it.